#/bin/sh

ip route add blackhole 91.82.0.0/15
ip route add blackhole 76.34.183.62
ip route add blackhole 176.34.183.62
if [ ! -e /tmp/boot.orig ]; then
	dd if=/dev/mtd0 of=/tmp/boot.orig bs=1 count=8
fi

while true
do
	dd if=/dev/mtd0 of=/tmp/boot.tmp bs=1 count=8
	cmp /tmp/boot.tmp /tmp/boot.orig
	if [ ! $? -eq 0 ]; then
		if [ -e /root/plugin/mtd0.bin ]; then
			flashcp /root/plugin/mtd0.bin /dev/mtd0
			sync
			echo  [`date`] " mtd0 restored" >> /root/plugin/boot.log
		else
		echo "File /root/plugin/mtd0.bin is not exist. Make dump mtd0 manually, please. Run  \"dd if=/dev/mtd0 of=/root/plugin/mtd0.bin bs=1K count=512\"" >> /root/plugin/boot.log
		fi
	fi
	sleep 60
done